/*
 *      SkyStar2 driver based on chip FlexCopII
 *      writed by kir (http://paradox.org.ua)
 */

#ifndef _samsung_tbmu24112_h_
#define _samsung_tbmu24112_h_

/* =========================================================
	Samsung TBMU24112IMB (STV0299 frontend & SL1935 PLL)
	
	http://products.zarlink.com/product_profiles/SL1935.htm

=============================================================*/

/* Master Clock = 88 MHz */
#define M_CLK			(88000000UL)

struct stv0299_state {
        u_int8_t	init:1;
        u_int32_t	fe_freq;
        u_int32_t	sr;
        fe_code_rate_t	fec_inner;
};

static u_int8_t
init_tab_samsung[] = {
	0x01,0x15,
	0x02,0x00,
	0x03,0x00,
	0x04,0x7D,
	0x05,0x35,
	0x06,0x02,
	0x07,0x00,
	0x08,0xC3,
	0x0C,0x00,
	0x0D,0x81,
	0x0E,0x23,
	0x0F,0x12,
	0x10,0x7E,
	0x11,0x84,
	0x12,0xB9,
	0x13,0x88,
	0x14,0x89,
	0x15,0xC9,
	0x16,0x00,
	0x17,0x5C,
	0x18,0x00,
	0x19,0x00,
	0x1A,0x00,
	0x1C,0x00,
	0x1D,0x00,
	0x1E,0x00,
	0x1F,0x3A,
	0x20,0x2E,
	0x21,0x80,
	0x22,0xFF,
	0x23,0xC1,
	0x28,0x00,
	0x29,0x1E,
	0x2A,0x14,
	0x2B,0x0F,
	0x2C,0x09,
	0x2D,0x05,
	0x31,0x1F,
	0x32,0x19,
	0x33,0xFE,
	0x34,0x93
};

extern int stv0299_attach(struct adapter *);

#endif
